#ifndef ICONNECTOR_H
#define ICONNECTOR_H

#include <vector>
#include <memory>

namespace mdd {
	template <class T>
	class IConnector {
	public:
		virtual int addConnection(std::shared_ptr<T> conector) = 0;
		virtual int removeConnection(std::shared_ptr<T> conector) = 0;
		virtual bool connect(std::shared_ptr<T> conector) = 0;
		virtual ~IConnector() {};
	};
}

#endif